POST /v1.0/account/balanceTransfer/Changes data Permalink ↗ Transfer data or points between device groups. This endpoint can only be accessed by scope org_super.
Parameters
bucketTransferbody object
bucketTransfer
cURL Copy
curl -X POST "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/account/balanceTransfer/" \
-H "Authorization: Bearer $SENTINEL_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"example": true,
"corpId": "NORTHSTAR-ISD"
}'GET /v1.0/account/balanceTransferSummary/Read-only Permalink ↗ Get a balance transfer summary. This endpoint can only be accessed by scope org_super.
cURL Copy
curl -X GET "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/account/balanceTransferSummary/" \
-H "Authorization: Bearer $SENTINEL_TOKEN"Get a list of Credit Card Transaction history of purchased data and points. This endpoint can only be accessed by scope org_super.
cURL Copy
curl -X GET "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/account/ccTransactions/" \
-H "Authorization: Bearer $SENTINEL_TOKEN"GET /v1.0/account/clientBucketDetails/Read-only Permalink ↗ Cumulative Bucket Details.This endpoint is accessible only if /settings showCumulativeBalance is true.
cURL Copy
curl -X GET "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/account/clientBucketDetails/" \
-H "Authorization: Bearer $SENTINEL_TOKEN"GET /v1.0/account/clientBucketDetails/csvRead-only Permalink ↗ Get client Bucket Details as a CSV file. This endpoint is accessible only if /settings showCumulativeBalance is true.
cURL Copy
curl -X GET "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/account/clientBucketDetails/csv" \
-H "Authorization: Bearer $SENTINEL_TOKEN"PUT /v1.0/account/clientBucketManagement/Destructive Permalink ↗ Enable/disable allocation of bucket to and from sub-device group (client). This endpoint can only be accessed by scope org_super with /settings manageBuckets true.
Parameters
ClientBucketManagementbody object
ClientBucketManagement
cURL Copy
curl -X PUT "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/account/clientBucketManagement/" \
-H "Authorization: Bearer $SENTINEL_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"corpId": "NORTHSTAR-ISD",
"note": "Example update payload — confirm schema in Swagger before wiring production."
}'GET /v1.0/account/deviceCountsAndDetails/Read-only Permalink ↗ Get device counts and details.
cURL Copy
curl -X GET "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/account/deviceCountsAndDetails/" \
-H "Authorization: Bearer $SENTINEL_TOKEN"GET /v1.0/account/pakPlans/{bucketType}Read-only Permalink ↗ Get Pack Plans for given Bucket Type. This endpoint can only be accessed by scope org_super.
Parameters
bucketTypepath string required
1 for Data, 2 for Points, 3 for Software Management Subscription
Values: 1, 2, 3
cURL Copy
curl -X GET "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/account/pakPlans/DATA" \
-H "Authorization: Bearer $SENTINEL_TOKEN"Replenish data or points balance for an account. This endpoint can only be accessed by scope org_super.
Parameters
CorpPakbody CorpPak required
CorpPak
cURL Copy
curl -X POST "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/account/planPurchase/" \
-H "Authorization: Bearer $SENTINEL_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"example": true,
"corpId": "NORTHSTAR-ISD"
}'Get the Account Usage Summary
CLI kajeet-sentinel usage summary MCP sentinel_usage.usage_summary
cURL Copy
curl -X GET "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/account/usageSummary/" \
-H "Authorization: Bearer $SENTINEL_TOKEN"Response · 200 OK Copy
{
"usageDetails": [
{
"renewalDate": "03/13/2026",
"mbUsed": 50098,
"pointsUsed": 235
},
{
"renewalDate": "02/27/2026",
"mbUsed": 45951,
"pointsUsed": 287
}
]
}GET /v1.0/account/{corpId}/availableBalanceRead-only Permalink ↗ Get available balance for a Device Group
Parameters
corpIdpath string required
Device Group
cURL Copy
curl -X GET "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/account/NORTHSTAR-ISD/availableBalance" \
-H "Authorization: Bearer $SENTINEL_TOKEN"Get the device group associated with the external account id.
Parameters
extAccountIdpath string required
External account id defined by the user, either using the /managedwireless/account endpoint or through Customer Support.
cURL Copy
curl -X GET "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/account/NORTHSTAR-EXT-001" \
-H "Authorization: Bearer $SENTINEL_TOKEN"